# Mass Edit Price Grid Items Updates fields of specified Live Price Grid Items.Specify the items in the request body by the id field. > Information: > The id is the typedId without the PGI suffix. For example, the id attribute of the item with typedId = 649.PGI is 649. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_UPDATE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) Endpoint: POST /pricegridmanager.massedit/{id} Security: basic, X-PriceFx-jwt ## Path parameters: - `id` (string, required) The id of the Live Price Grid whose items you want to edit. You can retrieve the id of the LPG, for example, by calling the /fetch/PG endpoint. ## Request fields (application/json): - `data` (object) - `data.filterCriteria` (object) - `data.filterCriteria._constructor` (string) - `data.filterCriteria.operator` (string) - `data.filterCriteria.criteria` (array) - `data.filterCriteria.criteria.fieldName` (string) - `data.filterCriteria.criteria.value` (array) - `data.massEditRecords` (array) - `data.massEditRecords.fieldName` (string) The field you want to edit. - `data.massEditRecords.massEditOperator` (string) Enum: "+", "-", "*", "=" - `data.massEditRecords.fieldValue` (integer) The new value of the field. If omitted, the field is set to null. - `data.massEditRecords.precision` (any) ## Response 200 fields (application/json): - `response` (object, required) - `response.node` (string, required) - `response.data` (any) - `response.status` (number, required)